picard.sam

## Enum RevertSam.FileType

- java.lang.Object
- - java.lang.Enum<RevertSam.FileType>
  - - picard.sam.RevertSam.FileType

- All Implemented Interfaces:
    Serializable, Comparable<RevertSam.FileType>
  Enclosing class:
    RevertSam

      public static enum RevertSam.FileType
      extends Enum<RevertSam.FileType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bam`
    `cram`
    `dynamic`
    `sam`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RevertSam.FileType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RevertSam.FileType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### sam

          public static final RevertSam.FileType sam

    - #### bam

          public static final RevertSam.FileType bam

    - #### cram

          public static final RevertSam.FileType cram

    - #### dynamic

          public static final RevertSam.FileType dynamic

  - ### Method Detail

    - #### values

          public static RevertSam.FileType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RevertSam.FileType c : RevertSam.FileType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RevertSam.FileType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null